local HOOKS = {};

function ExtTransmog_OnLoad(self)

    HOOKS["Model_Reset"] = Model_Reset;
    Model_Reset = ExtTransmog_Model_Reset;

    ExtTransmog_RebuildFrame();

end

function ExtTransmog_RebuildFrame()

    TransmogrifyFrame:SetWidth(500);
    TransmogrifyModelFrame:SetWidth(482);
    ExtTransmog_ResetPosition(TransmogrifyModelFrame);

end

function ExtTransmog_Model_Reset(self)

    HOOKS["Model_Reset"](self);

    if (self:GetName() == "TransmogrifyModelFrame") then
        ExtTransmog_ResetPosition(self);
    end

end

function ExtTransmog_ResetPosition(model)

    model:SetPosition(-0.5, 0, -0.25);

end
